summaryrefslogtreecommitdiff
path: root/Master/xemtex/gslib/ps2ps
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2005-12-28 00:07:27 +0000
committerKarl Berry <karl@freefriends.org>2005-12-28 00:07:27 +0000
commit30dd9f517c9c093ff3319061647a4555264f7914 (patch)
tree0d7a349bf99be5a42cc9c5a80a30f3b7136c4ccd /Master/xemtex/gslib/ps2ps
parent08ab8dce83f53b0f915cb66a37bbc8478b22c307 (diff)
trunk
git-svn-id: svn://tug.org/texlive/trunk@9 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/xemtex/gslib/ps2ps')
-rw-r--r--Master/xemtex/gslib/ps2ps20
1 files changed, 20 insertions, 0 deletions
diff --git a/Master/xemtex/gslib/ps2ps b/Master/xemtex/gslib/ps2ps
new file mode 100644
index 00000000000..9449b563fb6
--- /dev/null
+++ b/Master/xemtex/gslib/ps2ps
@@ -0,0 +1,20 @@
+#!/bin/sh
+# $Id: ps2ps,v 1.3 2001/06/22 16:09:22 lpd Exp $
+# "Distill" PostScript.
+
+OPTIONS="-dSAFER"
+while true
+do
+ case "$1" in
+ -*) OPTIONS="$OPTIONS $1" ;;
+ *) break ;;
+ esac
+ shift
+done
+
+if [ $# -ne 2 ]; then
+ echo "Usage: `basename $0` ...switches... input.ps output.ps" 1>&2
+ exit 1
+fi
+
+exec gs -q -sDEVICE=pswrite "-sOutputFile=$2" -dNOPAUSE -dBATCH $OPTIONS "$1"